<script>
    import SvelteMarkdown from 'svelte-markdown'
    export let article;
    let backend = import.meta.env.VITE_BACKEND;
    // {
    //     "title": "string",
    //     "content": "string",
    //     "id": 0,
    //     "image_file": "string"
    // }

    if (!article.image_file) {
        backend = 'https://picsum.photos/2048?r=' + Math.random();
    } 
</script>

{#if article.odd == 0}
    <div class="card md:card-side bg-base-200 shadow-xl">
        <img loading="lazy" class="rounded max-w-xs m-5 self-center" src="{backend + article.image_file}" alt="article pic"/>
        <div class="card-body">
            <h2 class="card-title">{article.title}</h2>
            <p class="mt-5"><SvelteMarkdown source={article.content} /></p>
        </div>
    </div>
{:else}
    <div class="card md:card-side bg-base-200 shadow-xl">
        <div class="card-body">
            <h2 class="card-title">{article.title}</h2>
            <p class="mt-5"><SvelteMarkdown source={article.content} /></p>
        </div>
        <img loading="lazy" class="rounded max-w-xs m-5 self-center" src="{backend + article.image_file}" alt="article pic"/>
    </div>
{/if}
